//
//  plainTexture.vsh
//  VNCKit
//
//  Created by Phil Dennis-Jordan on 04/02/2015.
//  Copyright (c) 2015 Edovia Inc. All rights reserved.
//
#version 150

uniform mat4 modelViewProjectionMatrix;
uniform vec2 texCoordScaleFactors;

in vec4 position;
in vec2 texCoord;

out vec2 TexCoordOut;


void main()
{
   	TexCoordOut = texCoord * texCoordScaleFactors;
    
    gl_Position = modelViewProjectionMatrix * position;
}
