//
//  plainTexture.fsh
//  VNCKit
//
//  Created by Phil Dennis-Jordan on 19/01/2015.
//  Copyright (c) 2015 Edovia Inc. All rights reserved.
//
#version 150

in highp vec2 TexCoordOut;
out vec4 fragColor;
uniform sampler2D Texture;

void main()
{
	lowp vec4 tint_colour = vec4(1.0, 1.0, 1.0, 1.0);
	lowp vec4 colour = tint_colour * texture(Texture, TexCoordOut);
	colour.a = 1.0;
	fragColor = colour;
}
